[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

RE: glibc error during build

> > ../sysdeps/unix/sysv/linux/errlist.c:41: weak declaration 
> of '_old_sys_nerr'
> > must precede definition

Weird.  The patch worked fine for me, and for Marvin, I guess,
but here's a snip from the ChangeLog - looks like a bunch of
stuff JUST happened here:

2002-08-26  Roland McGrath  <roland@redhat.com>

	* sysdeps/unix/sysv/linux/Versions (libc: GLIBC_2.1): Remove
	_sys_errlist; sys_errlist; _sys_nerr; sys_nerr; from here.
	* sysdeps/gnu/Makefile ($(..)sysdeps/gnu/errlist-compat.c): New
	($(objpfx)errlist.d): Depend on $(..)sysdeps/gnu/errlist-compat.c.
	* sysdeps/gnu/errlist.awk: Make output define _sys_errlist_internal
	and _sys_nerr_internal instead of anything else.  Make it include
	"errlist-compat.c" if [!NOT_IN_libc && !ERRLIST_NO_COMPAT].
	Make it emit some asm magic if [EMIT_ERR_MAX].
	* sysdeps/gnu/errlist.c: Regenerated.
	* sysdeps/gnu/errlist-compat.awk: New file.
	* sysdeps/gnu/errlist-compat.c: New file (generated).
	* sysdeps/unix/sysv/linux/errlist.c: File removed.
	* sysdeps/unix/sysv/linux/errlist.h: File removed. 

Reply to: